Magellan Linux

Diff of /trunk/installer-simple/bin/installer.sh.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 2332 by niro, Fri Jan 3 13:58:23 2014 UTC revision 2343 by niro, Fri Jan 3 14:58:22 2014 UTC
# Line 7  Line 7 
7  # Niels Rogalla <niro@magellan-linux.de>  # Niels Rogalla <niro@magellan-linux.de>
8  #  #
9    
10  source %SYSCONFDIR%/installer.conf  # ignore the environment
11    LC_ALL=C
12    # include dir
13    INSTALLER_LIBDIR="%LIBDIR%"
14    
15  #images: (get ${CDIMAGENAME})  # TOTALLINES=linecount of ${CDIMAGENAME}-tarball -1 !
16  source /mnt/cdrom/system/images.conf  # -> now in images.conf
17    CURRENTLINE=0
18    
19    # configuration
20    if [ -e %SYSCONFDIR%/installer.conf ]
21    then
22     source %SYSCONFDIR%/installer.conf
23    else
24     die "/etc/installer.conf not found"
25    fi
26    
27    # TOTALLINES=linecount of ${CDIMAGENAME}-tarball -1 !
28    # -> now in images.conf
29    CDIMAGENAME=""
30    TOTALLINES=""
31    CURRENTLINE=0
32    if [ -e /mnt/cdrom/system/images.conf ]
33    then
34     source /mnt/cdrom/system/images.conf
35     # check if all required variables are set
36     [[ -z ${CDIMAGENAME} ]] && die "CDIMAGENAME is empty in /mnt/cdrom/system/images.conf"
37     [[ -z ${TOTALLINES} ]] && die "TOTALLINES is empty in /mnt/cdrom/system/images.conf"
38    else
39     die "/mnt/cdrom/system/images.conf not found"
40    fi
41    
42  #Includes  # includes
43  source /usr/lib/installer/functions/findhdd.sh > /dev/null  source ${INSTALLER_LIBDIR}/functions/hwdetection.sh
 ### bugfix ###############################  
 cdromdev="$(echo ${cdromdev} | sed 's/ //')"  
 ########################################  
44    
45  ### System/Config Version  ### System/Config Version
46  VERSION="%VERSIONTAG%"  VERSION="%VERSIONTAG%"
47  TITLE="${DEFAULT_TITLE} - ${VERSION}"  TITLE="${DEFAULT_TITLE} - ${VERSION}"
48    
49  CDPATH="${DEFAULT_CDPATH}"  CDROOT="${DEFAULT_CDROOT}"
50  INSTALLPATH="${DEFAULT_INSTALLPATH}"  INSTALLROOT="${DEFAULT_INSTALLROOT}"
   
 ### WICHTIG: anzahl lines in der autosta_lx.tar.gz -1  
 CURRENTLINE=0  
 #TOTALLINES=11072 # -> now in images.conf  
51    
52  # standard kernel opts  # standard kernel opts
53  KERNELOPTS="quiet video=1024x768"  KERNELOPTS="quiet video=1024x768"
# Line 52  FORMAT_FILESYSTEM="${DEFAULT_FILESYSTEM} Line 72  FORMAT_FILESYSTEM="${DEFAULT_FILESYSTEM}
72    
73  die()  die()
74  {  {
75   ERROR=$1   echo "Error: $@"
76   RETVAL=$?   exit 1
77    }
78    
79    dialog_die()
80    {
81     ERROR="$1"
82     RETVAL="$?"
83   dialog_install_failure   dialog_install_failure
84   exit 1   exit 1
85  }  }
# Line 142  dialog_setup_system_menu() Line 168  dialog_setup_system_menu()
168   then   then
169   case "${i}" in   case "${i}" in
170   "1") run_install_auto ;;   "1") run_install_auto ;;
171           "2") run_install_normal ;;   "2") run_install_normal ;;
172   "3") run_install_flash ;;   "3") run_install_flash ;;
173   "") dialog_setup_system_menu;;   "") dialog_setup_system_menu;;
174   esac   esac
# Line 429  dialog_main() Line 455  dialog_main()
455   if [[ ${RES} -eq 0 ]]   if [[ ${RES} -eq 0 ]]
456   then   then
457   case ${METHOD} in   case ${METHOD} in
458           "1") dialog_setup_system_menu ;;   "1") dialog_setup_system_menu ;;
459   "2") dialog_hardware_detection ;;   "2") dialog_hardware_detection ;;
460   "3") install_do_reboot ;;   "3") install_do_reboot ;;
461   "4") /bin/bash --login -i ;;   "4") /bin/bash --login -i ;;
# Line 503  hdd_size_below_256mb() Line 529  hdd_size_below_256mb()
529   local hdd="$1"   local hdd="$1"
530   local size   local size
531   local retval   local retval
532   [[ -z ${hdd} ]] && die "Error: get_hdd_size() no \$hdd given!"   [[ -z ${hdd} ]] && dialog_die "Error: get_hdd_size() no \$hdd given!"
533    
534   size=$(fdisk -l ${hdd} | grep "Disk.*${hdd}" | sed 's:.*,\ \(.*\)\ byte.*:\1:')   size=$(fdisk -l ${hdd} | grep "Disk.*${hdd}" | sed 's:.*,\ \(.*\)\ byte.*:\1:')
535   if [[ ${size} -le 257000000 ]]   if [[ ${size} -le 257000000 ]]
# Line 532  setup_hdd_partitions_auto() Line 558  setup_hdd_partitions_auto()
558   fi   fi
559    
560   ## delete disk   ## delete disk
561   dd if=/dev/zero of=${HDD} count=1 &> /dev/null || die   dd if=/dev/zero of=${HDD} count=1 &> /dev/null || dialog_die
562    
563   if [[ ${FDISKPARTIONBELOW256MB} = 1 ]]   if [[ ${FDISKPARTIONBELOW256MB} = 1 ]]
564   then   then
# Line 585  setup_hdd_partitions_manuell() Line 611  setup_hdd_partitions_manuell()
611   ROOTHDD="${HDD}3"   ROOTHDD="${HDD}3"
612    
613   ## hdds partitionieren manuell   ## hdds partitionieren manuell
614   cfdisk ${HDD} || die   cfdisk ${HDD} || dialog_die
615  }  }
616    
617  setup_hdd_partitions_manuell_flash()  setup_hdd_partitions_manuell_flash()
# Line 593  setup_hdd_partitions_manuell_flash() Line 619  setup_hdd_partitions_manuell_flash()
619   ROOTHDD="${HDD}1"   ROOTHDD="${HDD}1"
620    
621   ## hdds partitionieren manuell   ## hdds partitionieren manuell
622   cfdisk ${HDD} || die   cfdisk ${HDD} || dialog_die
623  }  }
624    
625  setup_hdd_format()  setup_hdd_format()
626  {  {
627   mkswap ${SWAPHDD} || die   mkswap ${SWAPHDD} || dialog_die
628   mke2fs -j -q ${BOOTHDD} || die   mke2fs -j -q ${BOOTHDD} || dialog_die
629   mke2fs -j -q ${ROOTHDD} || die   mke2fs -j -q ${ROOTHDD} || dialog_die
630  }  }
631    
632  setup_hdd_format_flash()  setup_hdd_format_flash()
633  {  {
634   mke2fs -j -q ${ROOTHDD} || die   mke2fs -j -q ${ROOTHDD} || dialog_die
635  }  }
636    
637  install_mount_rootfs()  install_mount_rootfs()
638  {  {
639   swapon ${SWAPHDD} || die   swapon ${SWAPHDD} || dialog_die
640   mount ${ROOTHDD} ${INSTALLPATH} || die   mount ${ROOTHDD} ${INSTALLROOT} || dialog_die
641   install -d ${INSTALLPATH}/boot || die   install -d ${INSTALLROOT}/boot || dialog_die
642   mount ${BOOTHDD} ${INSTALLPATH}/boot || die   mount ${BOOTHDD} ${INSTALLROOT}/boot || dialog_die
643   cd ${INSTALLPATH} || die   cd ${INSTALLROOT} || dialog_die
644  }  }
645    
646  install_mount_rootfs_flash()  install_mount_rootfs_flash()
647  {  {
648   mount ${ROOTHDD} ${INSTALLPATH} || die   mount ${ROOTHDD} ${INSTALLROOT} || dialog_die
649   install -d ${INSTALLPATH}/boot || die   install -d ${INSTALLROOT}/boot || dialog_die
650   cd ${INSTALLPATH} || die   cd ${INSTALLROOT} || dialog_die
651  }  }
652    
653  install_system_image()  install_system_image()
654  {  {
655   tar xvjpf ${CDPATH}/system/${CDIMAGENAME} -C ${INSTALLPATH}   tar xvjpf ${CDROOT}/system/${CDIMAGENAME} -C ${INSTALLROOT}
656  }  }
657    
658  install_bootsector_chroot()  install_bootsector_chroot()
659  {  {
660   local my_roothdd   local my_roothdd
661   local grubconf=${INSTALLPATH}/boot/grub/grub.conf   local grubconf=${INSTALLROOT}/boot/grub/grub.conf
662   local grub2conf=/boot/grub/grub.cfg   local grub2conf=/boot/grub/grub.cfg
663    
664   # check for grub2   # check for grub2
665   if [[ -f ${INSTALLPATH}/sbin/grub-mkconfig ]]   if [[ -f ${INSTALLROOT}/sbin/grub-mkconfig ]]
666   then   then
667   # needed by grub-mkconfig on the first run   # needed by grub-mkconfig on the first run
668   if [[ ! -f ${INSTALLPATH}/boot/grub/video.lst ]]   if [[ ! -f ${INSTALLROOT}/boot/grub/video.lst ]]
669   then   then
670   install -m0644 ${INSTALLPATH}/lib/grub/*/video.lst ${INSTALLPATH}/boot/grub/video.lst || die   install -m0644 ${INSTALLROOT}/lib/grub/*/video.lst ${INSTALLROOT}/boot/grub/video.lst || dialog_die
671   fi   fi
672    
673   # set kernelopts   # set kernelopts
674   if [[ -f ${INSTALLPATH}/etc/conf.d/grub ]]   if [[ -f ${INSTALLROOT}/etc/conf.d/grub ]]
675   then   then
676   sed -i "s:^\(export GRUB_CMDLINE_LINUX_DEFAULT=\).*:\1\"${KERNELOPTS}\":" ${INSTALLPATH}/etc/conf.d/grub || die   sed -i "s:^\(export GRUB_CMDLINE_LINUX_DEFAULT=\).*:\1\"${KERNELOPTS}\":" ${INSTALLROOT}/etc/conf.d/grub || dialog_die
677   else   else
678   echo "export GRUB_CMDLINE_LINUX_DEFAULT=\"${KERNELOPTS}\"" >  ${INSTALLPATH}/etc/conf.d/grub || die   echo "export GRUB_CMDLINE_LINUX_DEFAULT=\"${KERNELOPTS}\"" >  ${INSTALLROOT}/etc/conf.d/grub || dialog_die
679   fi   fi
680   echo 'grub-mkdevicemap' > ${INSTALLPATH}/root/.installrc || die   echo 'grub-mkdevicemap' > ${INSTALLROOT}/root/.installrc || dialog_die
681   echo "LC_ALL=C grub-mkconfig -o ${grub2conf}  &> /dev/null" >> ${INSTALLPATH}/root/.installrc || die   echo "LC_ALL=C grub-mkconfig -o ${grub2conf}  &> /dev/null" >> ${INSTALLROOT}/root/.installrc || dialog_die
682   echo "grub-install --no-floppy ${HDD} &> /dev/null" >> ${INSTALLPATH}/root/.installrc || die   echo "grub-install --no-floppy ${HDD} &> /dev/null" >> ${INSTALLROOT}/root/.installrc || dialog_die
683   echo "exit 0" >> ${INSTALLPATH}/root/.installrc || die   echo "exit 0" >> ${INSTALLROOT}/root/.installrc || dialog_die
684    
685   # grub-legacy   # grub-legacy
686   else   else
687   ### grubconf schreiben   ### grubconf schreiben
688   source ${INSTALLPATH}/boot/kernelversion   source ${INSTALLROOT}/boot/kernelversion
689    
690   #for alx only   #for alx only
691   if [ -e ${INSTALLPATH}/etc/alx_version ]   if [ -e ${INSTALLROOT}/etc/alx_version ]
692   then   then
693   OLD_ALXVER="${ALXVER}"   OLD_ALXVER="${ALXVER}"
694   source ${INSTALLPATH}/etc/alx_version   source ${INSTALLROOT}/etc/alx_version
695   KRNVER="ALX-${ALXVER}"   KRNVER="ALX-${ALXVER}"
696   ALXVER="${OLD_ALXVER}"   ALXVER="${OLD_ALXVER}"
697   fi   fi
# Line 682  install_bootsector_chroot() Line 708  install_bootsector_chroot()
708   my_roothdd="${ROOTHDD}"   my_roothdd="${ROOTHDD}"
709   fi   fi
710    
711   : > ${grubconf} || die   : > ${grubconf} || dialog_die
712   echo "default 0" >> ${grubconf} || die   echo "default 0" >> ${grubconf} || dialog_die
713   echo "timeout 3" >> ${grubconf} || die   echo "timeout 3" >> ${grubconf} || dialog_die
714   # using current root password   # using current root password
715   echo "password --md5 $(cat ${INSTALLPATH}/etc/shadow | grep root | cut -d: -f2)"  >> ${grubconf} || die   echo "password --md5 $(cat ${INSTALLROOT}/etc/shadow | grep root | cut -d: -f2)"  >> ${grubconf} || dialog_die
716    
717   echo  >> ${grubconf} || die   echo  >> ${grubconf} || dialog_die
718   echo "# normal boot" >> ${grubconf} || die   echo "# normal boot" >> ${grubconf} || dialog_die
719   echo "title ${KRNVER}" >> ${grubconf} || die   echo "title ${KRNVER}" >> ${grubconf} || dialog_die
720   echo "root (hd0,0)" >> ${grubconf} || die   echo "root (hd0,0)" >> ${grubconf} || dialog_die
721   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS}" >> ${grubconf} || die   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS}" >> ${grubconf} || dialog_die
722   if is_initrd_supported   if is_initrd_supported
723   then   then
724   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || die   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die
725   fi   fi
726    
727   echo >> ${grubconf} || die   echo >> ${grubconf} || dialog_die
728   echo "# admin boot" >> ${grubconf} || die   echo "# admin boot" >> ${grubconf} || dialog_die
729   echo "title ${KRNVER} - Re-run hardware-detection" >> ${grubconf} || die   echo "title ${KRNVER} - Re-run hardware-detection" >> ${grubconf} || dialog_die
730   echo "lock"  >> ${grubconf} || die   echo "lock"  >> ${grubconf} || dialog_die
731   echo "root (hd0,0)" >> ${grubconf} || die   echo "root (hd0,0)" >> ${grubconf} || dialog_die
732   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} hardware-auto-detection" >> ${grubconf} || die   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} hardware-auto-detection" >> ${grubconf} || dialog_die
733   if is_initrd_supported   if is_initrd_supported
734   then   then
735   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || die   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die
736   fi   fi
737    
738   echo >> ${grubconf} || die   echo >> ${grubconf} || dialog_die
739   echo "title ${KRNVER} - Reset *all* local settings" >> ${grubconf} || die   echo "title ${KRNVER} - Reset *all* local settings" >> ${grubconf} || dialog_die
740   echo "lock"  >> ${grubconf} || die   echo "lock"  >> ${grubconf} || dialog_die
741   echo "root (hd0,0)" >> ${grubconf} || die   echo "root (hd0,0)" >> ${grubconf} || dialog_die
742   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} alx-reset-settings" >> ${grubconf} || die   echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} alx-reset-settings" >> ${grubconf} || dialog_die
743   if is_initrd_supported   if is_initrd_supported
744   then   then
745   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || die   echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die
746   fi   fi
747    
748   # bootsector schreiben chrooted schreiben (lfs/magellan)   # bootsector schreiben chrooted schreiben (lfs/magellan)
749   cat > ${INSTALLPATH}/root/.installrc << CHROOTEOF   cat > ${INSTALLROOT}/root/.installrc << CHROOTEOF
750  /usr/sbin/grub --no-floppy --batch << "EOF" 1> /dev/null 2> /dev/null  /usr/sbin/grub --no-floppy --batch << "EOF" 1> /dev/null 2> /dev/null
751  root (hd0,0)  root (hd0,0)
752  setup (hd0)  setup (hd0)
# Line 730  exit 0 Line 756  exit 0
756  CHROOTEOF  CHROOTEOF
757   fi   fi
758    
759   ## enters chroot   ## enter chroot
760   mount -t proc proc ${INSTALLPATH}/proc   mount -t proc proc ${INSTALLROOT}/proc
761   mount -t sysfs sysfs ${INSTALLPATH}/sys   mount -t sysfs sysfs ${INSTALLROOT}/sys
762   mount -o bind /dev ${INSTALLPATH}/dev   mount -o bind /dev ${INSTALLROOT}/dev
763   chroot ${INSTALLPATH} /bin/bash --rcfile /root/.installrc -i   chroot ${INSTALLROOT} /bin/bash --rcfile /root/.installrc -i
764   umount ${INSTALLPATH}/proc   umount ${INSTALLROOT}/proc
765   umount ${INSTALLPATH}/sys   umount ${INSTALLROOT}/sys
766   umount ${INSTALLPATH}/dev   umount ${INSTALLROOT}/dev
767   rm ${INSTALLPATH}/root/.installrc   rm ${INSTALLROOT}/root/.installrc
768  }  }
769    
770  is_initrd_supported()  is_initrd_supported()
771  {  {
772   # only generate initrds if the cmd exists   # only generate initrds if the cmd exists
773   [[ -x ${INSTALLPATH}/sbin/mkinitrd ]] && return 0   [[ -x ${INSTALLROOT}/sbin/mkinitrd ]] && return 0
774   return 1   return 1
775  }  }
776    
# Line 775  install_initrd_chroot() Line 801  install_initrd_chroot()
801   fi   fi
802    
803   # install an appropriate uvesafb.conf   # install an appropriate uvesafb.conf
804   install -d ${INSTALLPATH}/etc/modprobe.d || die   install -d ${INSTALLROOT}/etc/modprobe.d || dialog_die
805   echo "options uvesafb mode_option=1024x768-32@60 scroll=ywrap" > ${INSTALLPATH}/etc/modprobe.d/uvesafb.conf || die   echo "options uvesafb mode_option=1024x768-32@60 scroll=ywrap" > ${INSTALLROOT}/etc/modprobe.d/uvesafb.conf || dialog_die
806    
807   # install an appropriate viafb.conf   # install an appropriate viafb.conf
808   echo "options viafb viafb_mode=1024x768 viafb_refresh=60" > ${INSTALLPATH}/etc/modprobe.d/viafb.conf || die   echo "options viafb viafb_mode=1024x768 viafb_refresh=60" > ${INSTALLROOT}/etc/modprobe.d/viafb.conf || dialog_die
809    
810   # install an appropriate i810fb.conf   # install an appropriate i810fb.conf
811   echo "options i810fb xres=1024 yres=768 bpp=16 mtrr=1 hsync1=30 hsync2=62 vsync1=30 vsync2=60"  > ${INSTALLPATH}/etc/modprobe.d/i810fb.conf || die   echo "options i810fb xres=1024 yres=768 bpp=16 mtrr=1 hsync1=30 hsync2=62 vsync1=30 vsync2=60"  > ${INSTALLROOT}/etc/modprobe.d/i810fb.conf || dialog_die
812    
813   cat > ${INSTALLPATH}/root/.installrc << CHROOTEOF   cat > ${INSTALLROOT}/root/.installrc << CHROOTEOF
814  echo "MODULES=\"${FORMAT_FILESYSTEM} ${DISKMODS} ${OLDATAMODS} ${PATAMODS} ${SATAMODS} ${DRMMODS} ${FBMODS} ${OTHERMODS}\"" > /etc/conf.d/mkinitrd  echo "MODULES=\"${FORMAT_FILESYSTEM} ${DISKMODS} ${OLDATAMODS} ${PATAMODS} ${SATAMODS} ${DRMMODS} ${FBMODS} ${OTHERMODS}\"" > /etc/conf.d/mkinitrd
815  mkinitrd -f /boot/$(readlink /boot/initrd) $(readlink /boot/vmlinuz | sed "s:kernel-::g") > /dev/null  mkinitrd -f /boot/$(readlink /boot/initrd) $(readlink /boot/vmlinuz | sed "s:kernel-::g") > /dev/null
816  exit 0  exit 0
817  CHROOTEOF  CHROOTEOF
818    
819   ## enters chroot   ## enters chroot
820   mount -t proc proc ${INSTALLPATH}/proc   mount -t proc proc ${INSTALLROOT}/proc
821   mount -t sysfs sysfs ${INSTALLPATH}/sys   mount -t sysfs sysfs ${INSTALLROOT}/sys
822   mount -o bind /dev ${INSTALLPATH}/dev   mount -o bind /dev ${INSTALLROOT}/dev
823   chroot ${INSTALLPATH} /bin/bash --rcfile /root/.installrc -i   chroot ${INSTALLROOT} /bin/bash --rcfile /root/.installrc -i
824   umount ${INSTALLPATH}/proc   umount ${INSTALLROOT}/proc
825   umount ${INSTALLPATH}/sys   umount ${INSTALLROOT}/sys
826   umount ${INSTALLPATH}/dev   umount ${INSTALLROOT}/dev
827   rm ${INSTALLPATH}/root/.installrc   rm ${INSTALLROOT}/root/.installrc
828  }  }
829    
830  is_uuid_supported()  is_uuid_supported()
# Line 822  get_uuid() Line 848  get_uuid()
848   local TYPE   local TYPE
849    
850   local dev="$1"   local dev="$1"
851   [[ -z ${dev} ]] && die "no dev given"   [[ -z ${dev} ]] && dialog_die "no dev given"
852    
853   # check if given device is already an UUID   # check if given device is already an UUID
854   if [[ ${dev/UUID=/}x != ${dev}x ]]   if [[ ${dev/UUID=/}x != ${dev}x ]]
# Line 839  install_system_settings() Line 865  install_system_settings()
865   # schreibe fstab   # schreibe fstab
866   if is_uuid_supported   if is_uuid_supported
867   then   then
868   echo -e "UUID=$(get_uuid ${BOOTHDD})\t/boot\t${FORMAT_FILESYSTEM}\tnoatime,noauto\t1 1" > ${INSTALLPATH}/etc/fstab || die   echo -e "UUID=$(get_uuid ${BOOTHDD})\t/boot\t${FORMAT_FILESYSTEM}\tnoatime,noauto\t1 1" > ${INSTALLROOT}/etc/fstab || dialog_die
869   echo -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
870   else   else
871   echo -e "${BOOTHDD}\t/boot\t${FORMAT_FILESYSTEM}\tnoatime,noauto\t1 1" > ${INSTALLPATH}/etc/fstab || die   echo -e "${BOOTHDD}\t/boot\t${FORMAT_FILESYSTEM}\tnoatime,noauto\t1 1" > ${INSTALLROOT}/etc/fstab || dialog_die
872   echo -e "${ROOTHDD}\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "${ROOTHDD}\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
873   fi   fi
874   # not needed busybox loads all with swapon -a, even if not mentioned in fstab   # not needed busybox loads all with swapon -a, even if not mentioned in fstab
875   #echo -e "UUID='$(get_uuid ${SWAPHDD})'\tswap\tswap\tpri=1\t0 0" >> ${INSTALLPATH}/etc/fstab || die   #echo -e "UUID='$(get_uuid ${SWAPHDD})'\tswap\tswap\tpri=1\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
876   echo -e "proc\t/proc\tproc\tdefaults\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "proc\t/proc\tproc\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
877   echo -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
878    
879   # install network config skeleton   # install network config skeleton
880   install -m0644 ${INSTALLPATH}/etc/alxconfig-ng/skel/net/net.eth0 ${INSTALLPATH}/etc/conf.d/ || die   install -m0644 ${INSTALLROOT}/etc/alxconfig-ng/skel/net/net.eth0 ${INSTALLROOT}/etc/conf.d/ || dialog_die
881    
882   # intel framebufer quirk   # intel framebufer quirk
883   if [[ -e /proc/fb ]]   if [[ -e /proc/fb ]]
# Line 861  install_system_settings() Line 887  install_system_settings()
887   fbdev=$(grep 'inteldrmfb' /proc/fb | sed 's:\([0-9]\).*:\1:')   fbdev=$(grep 'inteldrmfb' /proc/fb | sed 's:\([0-9]\).*:\1:')
888   if [[ ${fbdev} != 0 ]]   if [[ ${fbdev} != 0 ]]
889   then   then
890   sed -i "s:^\(SPLASH_DEV=\).*:\1\"/dev/fb${fbdev}\":" ${INSTALLPATH}/etc/splash/splash.conf || die   sed -i "s:^\(SPLASH_DEV=\).*:\1\"/dev/fb${fbdev}\":" ${INSTALLROOT}/etc/splash/splash.conf || dialog_die
891   fi   fi
892   fi   fi
893   fi   fi
# Line 872  install_system_settings_flash() Line 898  install_system_settings_flash()
898   # schreibe fstab   # schreibe fstab
899   if is_uuid_supported   if is_uuid_supported
900   then   then
901   echo -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" > ${INSTALLPATH}/etc/fstab || die   echo -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" > ${INSTALLROOT}/etc/fstab || dialog_die
902   else   else
903   echo -e "${ROOTHDD}\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" > ${INSTALLPATH}/etc/fstab || die   echo -e "${ROOTHDD}\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" > ${INSTALLROOT}/etc/fstab || dialog_die
904   fi   fi
905   echo -e "proc\t/proc\tproc\tdefaults\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "proc\t/proc\tproc\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
906   echo -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0" >> ${INSTALLPATH}/etc/fstab || die   echo -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die
907  }  }
908    
909  install_umount_rootfs()  install_umount_rootfs()
910  {  {
911   cd /   cd /
912   umount ${INSTALLPATH}/boot || die   umount ${INSTALLROOT}/boot || dialog_die
913   umount ${INSTALLPATH} || die   umount ${INSTALLROOT} || dialog_die
914   swapoff ${SWAPHDD} || die   swapoff ${SWAPHDD} || dialog_die
915  }  }
916    
917  install_umount_rootfs_flash()  install_umount_rootfs_flash()
918  {  {
919   cd /   cd /
920   umount ${INSTALLPATH} || die   umount ${INSTALLROOT} || dialog_die
921  }  }
922    
923  install_do_reboot()  install_do_reboot()

Legend:
Removed from v.2332  
changed lines
  Added in v.2343